## xfonts-a12k12 1-12

=== Makefile ===
# Makefile
#
#
DESTDIR=
FONTDIR=/usr/share/fonts/X11/misc/
fonts = a12 k12
bdfgz = $(patsubst %,%.bdf, $(fonts))
pcfgz = $(patsubst %,%.pcf.gz, $(fonts))

%.pcf.gz: %.bdf.gz
	gunzip < $< | bdftopcf | gzip -9 > $@

%.pcf.gz: %.bdf
	cat $< | bdftopcf | gzip -9 > $@

all: $(pcfgz)

install:
	for i in $(pcfgz); \
	do \
	 install -m 644 $$i $(DESTDIR)$(FONTDIR); \
	done

clean:
	-rm -f *.pcf.gz

## xfonts-a12k12 1

=== debian/changelog ===
xfonts-a12k12 (1-13) unstable; urgency=medium

  * Add d/source. (Closes: #954007)
  * Update d/control
    - Use debhelper-compat.
    - Bumps debhelper compat to 13. (Closes: #965896)
    - Update Standards-Version to 4.5.0.
    - Add Multi-Arch: foreign.
    - Add Rules-Requires-Root: no.
    - Add Vcs-Browser and Vcs-Git.
    - Drop Conflicts and Replaces of xfonts-a12k12.
  * Remove d/compat.
  * Update dh/rules
    * Change to using dh.
  * Add d/patches/Add-Makefile.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 30 Nov 2020 08:39:03 +0900

xfonts-a12k12 (1-12) unstable; urgency=medium

  * Fixed build reproducible. (Closes: #779184)
    Add 'GZIP=-9n' to make.
  * Removed -k option from dh_clean.
  * Updated Standards-Version to 3.9.6.
  * Fixed lintian warnings:
    - debian-rules-missing-recommended-target build-arch
    - debian-rules-missing-recommended-target build-indep

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 25 Feb 2016 03:17:04 +0900

xfonts-a12k12 (1-11) unstable; urgency=low

  * Update debian/control.
    Revert Standards-Version to 3.8.3.
  * Update debian/rules.
    - Revert changes of version 1-10.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 27 Aug 2012 12:39:29 +0900

xfonts-a12k12 (1-10) unstable; urgency=low

  * Update debian/control.
    Bump up Standards-Version to 3.9.3.
  * Update debian/rules.
    - Convert to dh 9.
    - Rebuild latest dh_installxfonts. (Closes: #682051)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 23 Jul 2012 05:16:46 +0900

xfonts-a12k12 (1-9) unstable; urgency=low

  * New Maintainer. (Closes: #541028)
  * Bump up Standards-Version.
  * Change section from x11 to fonts.
  * Change install path.
  * Fix some lintian's warning.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 27 Aug 2009 06:43:59 +0900

xfonts-a12k12 (1-8) unstable; urgency=low

  * finish /usr/doc/trnasition
   closes: Bug#359603
  * X fonts transition
   closes: Bug#362344

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 24 Apr 2006 23:37:05 +0900

xfonts-a12k12 (1-7) unstable; urgency=low

  * description indent for verbatim displayed, closes: Bug#146810

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 13 May 2002 20:26:30 +0900

xfonts-a12k12 (1-6) unstable; urgency=low

  * modify debian/control description. closes: Bug#145390

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat,  4 May 2002 03:05:15 +0900

xfonts-a12k12 (1-5) unstable; urgency=low

  * standard-version: 3.5.6
  * depends: xutils (>> 4.0.3)
  * build-depends: => build-depends-indep:

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 12 Nov 2001 18:57:56 +0900

xfonts-a12k12 (1-4) unstable; urgency=low

  * fix depends: xbase-clients -> xutils

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  6 Feb 2001 14:25:00 +0900

xfonts-a12k12 (1-3) unstable; urgency=low

  * adapt new debian policy
  * add Build-Depends:

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 12 Jan 2001 17:27:28 +0900

xfonts-a12k12 (1-2) unstable; urgency=low

  * use dh_installxfonts

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 10 Nov 1999 22:09:26 +0900

xfonts-a12k12 (1-1) unstable; urgency=low

  * Rename: a12k12 to xfonts-a12k12
    (following Debian X fonts naming convention)

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 21 Oct 1999 02:24:25 +0900

a12k12 (1-9) unstable; urgency=low

  * fix lintian error: postinst-does-not-set-usr-doc-link

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  5 Oct 1999 20:42:55 +0900

a12k12 (1-8) unstable; urgency=low

  * Initial Debian Release (from JP archives) again,
    because previous one includes frozen unintentionally.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 27 Aug 1999 01:32:42 +0900

a12k12 (1-7) frozen unstable; urgency=low

  * Initial Debian Release (from JP archives)

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 27 Aug 1999 00:49:29 +0900

a12k12 (1-6) frozen unstable; urgency=low

  * frozen release.

 -- Atsushi KAMOSHIDA <kamop@debian.or.jp>  Tue,  9 Mar 1999 08:31:05 +0900

a12k12 (1-5) unstable; urgency=low

  * Maintainer Release.

 -- Atsushi KAMOSHIDA <kamop@debian.or.jp>  Thu, 25 Feb 1999 12:49:07 +0900

a12k12 (1-4.1) frozen unstable; urgency=low

  * NMU
  * fix xbase depends (Bug#JP/762)

 -- ISHIKAWA Mutsumi <ishikawa@linux.or.jp>  Tue,  9 Feb 1999 18:47:51 +0900

a12k12 (1-4) frozen unstable; urgency=low

  * Fixed temporary file problem in postinst,prerm .

 -- Atsushi KAMOSHIDA <kamop@debian.or.jp>  Thu,  7 Jan 1999 11:18:15 +0900

a12k12 (1-3) frozen unstable; urgency=low

  * Fixed builed-fonts permission.

 -- Atsushi KAMOSHIDA <kamop@debian.or.jp>  Tue, 18 Aug 1998 08:03:36 +0900

a12k12 (1-2) unstable; urgency=low

  * *.pcf.Z -> *.pcf.gz (Used gzip)

 -- Atsushi KAMOSHIDA <kamop@post1.com>  Thu, 21 Aug 1997 17:03:36 +0900

a12k12 (1-1) unstable; urgency=low

  * Initial Release.

 -- Atsushi KAMOSHIDA <kamop@post1.com>  Fri, 2 May 1997 03:47:26 +0900

=== debian/control ===
Source: xfonts-a12k12
Section: fonts
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: xfonts-utils
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/iwamatsu/xfonts-a12k12
Vcs-Git: https://salsa.debian.org/iwamatsu/xfonts-a12k12.git

Package: xfonts-a12k12
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: xfs | xserver
Description: 12-dot Kanji & ASCII fonts for X
 This package provides 12-dot fonts for Japanese (ASCII and Kana/Kanji).
 It provides:
  - a12: 12-dot ASCII fonts
  - k12: 12-dot Kanji fonts

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/xfonts-a12k12
	install -m 644 fonts.alias `pwd`/debian/xfonts-a12k12/etc/X11/fonts/misc/xfonts-a12k12.alias

	dh_install

## xfonts-a12k12 1-12

=== debian/control ===
Source: xfonts-a12k12
Section: fonts
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 5.0.31)
Build-Depends-Indep: xfonts-utils

Package: xfonts-a12k12
Architecture: all
Depends: ${misc:Depends}
Conflicts: a12k12, xbase-clients (<< 4.0)
Replaces: a12k12
Suggests: xfs | xserver
Description: 12-dot Kanji & ASCII fonts for X
 This package provides 12-dot fonts for Japanese (ASCII and Kana/Kanji).
 It provides:
  - a12: 12-dot ASCII fonts
  - k12: 12-dot Kanji fonts

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,71 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-%:
-	dh $@
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
-override_dh_install:
+build-stamp:
+	dh_testdir
+	# Add here commands to compile the package.
+	$(MAKE) GZIP=-9n
+
+	touch build-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp install-stamp
+
+	# Add here commands to clean up after the build process.
+	$(MAKE) clean
+
+	dh_clean
+
+install: install-stamp
+install-stamp: build-stamp
+	dh_testdir
+	dh_testroot
+	dh_clean
+	dh_installdirs
+
 	# Add here commands to install the package into debian/tmp.
 	$(MAKE) install DESTDIR=`pwd`/debian/xfonts-a12k12
 	install -m 644 fonts.alias `pwd`/debian/xfonts-a12k12/etc/X11/fonts/misc/xfonts-a12k12.alias
+	touch install-stamp
 
-	dh_install
+# Build architecture-independent files here.
+binary-indep: build install
+#	dh_testversion
+	dh_testdir
+	dh_testroot
+	dh_installdocs
+	dh_installxfonts
+#	dh_installexamples
+#	dh_installmenu
+#	dh_installemacsen
+#	dh_installinit
+#	dh_installcron
+#	dh_installmanpages
+#	dh_undocumented
+	dh_installchangelogs 
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+	# You may want to make some executables suid here
+	#dh_suidregister
+#	dh_makeshlibs
+	dh_installdeb
+#	dh_perl 
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+source diff:                                                                  
+	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
+
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary
